package com.yutou.bilibili.BiliBili.Datas;

import lombok.Data;

@Data
public class BiliBiliUpData {
    int id;
    String name;
    String url;
    int roomId;
    boolean offlineListening;
    boolean enable;
    boolean saveDanmu;

    public void setOfflineListening(int offlineListening) {
        this.offlineListening = offlineListening==1;
    }

    public void setEnable(int enable) {
        this.enable = enable==1;
    }

    public void setSaveDanmu(int saveDanmu) {
        this.saveDanmu = saveDanmu==1;
    }


}
